diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schemas/ppas/9.2_plus/sql/defacl.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schemas/ppas/9.2_plus/sql/defacl.sql
index 91c3085..6dabab0 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schemas/ppas/9.2_plus/sql/defacl.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schemas/ppas/9.2_plus/sql/defacl.sql
@@ -6,7 +6,10 @@ SELECT
     WHEN 'T' THEN 'deftypeacl'
     ELSE 'UNKNOWN - ' || a.deftype
     END AS deftype,
-    COALESCE(gt.rolname, 'PUBLIC') grantee, g.rolname grantor, array_agg(a.privilege_type) as privileges, array_agg(a.is_grantable) as grantable
+    COALESCE(gt.rolname, 'PUBLIC') grantee,
+    g.rolname grantor,
+    array_agg(a.privilege_type order by a.privilege_type) as privileges,
+    array_agg(a.is_grantable) as grantable
 FROM
     (SELECT
         (acl).grantee as grantee, (acl).grantor AS grantor, (acl).is_grantable AS is_grantable,
